Close the current payroll cycle and open a new one.
curl --request POST \
--url https://pre-public-api.cobee.io/api/v3/companies/{companyId}/payroll-cycles/{payrollCycleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://pre-public-api.cobee.io/api/v3/companies/{companyId}/payroll-cycles/{payrollCycleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://pre-public-api.cobee.io/api/v3/companies/{companyId}/payroll-cycles/{payrollCycleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Payroll Cycle successfully closed"
}{
"message": "Invalid request: 'payrollCycleId' field is required"
}{
"message": "Unauthorised"
}{
"message": "Payroll cycle not found"
}{
"message": "Payroll cycle already closed"
}{
"message": "Internal server error: Unable to process request"
}Payroll Cycles
Close Payroll Cycle
POST
/
companies
/
{companyId}
/
payroll-cycles
/
{payrollCycleId}
Close the current payroll cycle and open a new one.
Overview
Note: This endpoint is available only in Sandbox environment. A payroll cycle can not be manually closed on production and this is an automatic process that occurs without human intervention.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the company
The unique identifier of the payroll cycle
Response
Payroll Cycle successfully closed
⌘I